// Matrix Vermenigvuldiging
A=[-1,2,0;3,-4,1;0,2,5] // 3 * 3
B=[1,-1,2;-2,3,5] // 3 * 2


// Berekent x * y
function M = matrixmaal(X, Y)
    // Methode 1
    aRowsX = size(X, "r")
    aColsX = size(X, "c")
    // Methode 2 maar korter
    [arijY, akolY] = size(Y)
    
    // Cols van X niet = Rijen van Y => stop
    if aColsX ~= arijY then
        error('Kan A * B niet op vermenigvuldigen: foute dimensie')
    end
    
    M = zeros(aRowsX, akolY)
    
    for i = 1:aRowsX
        for j = 1:akolY
            som = 0
            
            for k = 1:aColsX  // of arijY
                som = som + X(i,k) *  Y(k,j)
            end
            
            M(i,j) = som
       end
    end
endfunction
