// Meetkundige transformaties
// Eenvoudige driehoek
Huis = [ 1 2 2 3 3 2 4 4 2 1 4 1 1 
      1 1 2 2 1 1 1 3 4 3 3 3 1]
// ofwel P = [1,2,1;1,1,3]
// help plot2d

// wis figuur
clf()

// Haal x-coords uit P
//X = P(1,:) // : = alle kolommen
//Y = P(2,:)
venster = [-4 -11 9 5]
//plot2d(X,Y, rect=venster)

function teken(Punten, kleur)
    plot2d(Punten(1,:), Punten(2,:), rect=venster, style=kleur)
    a=gca(); // Handle on axes entity
    a.x_location = "origin";
    a.y_location = "origin";
endfunction

teken(Huis, 1)

// Roteer 80 graden tegenwijzerzin (+80 grad)

h = 90
T1 = [cosd(80) -sind(80) // opgepast: cos = hoek in rads, cosd = grads
      sind(80)  cosd(80)]
      
Huis1 = T1 * Huis
teken(Huis1, 2)


// Stap 2: spiegel over de eerste bissectrice
T2 = [0 1
      1 0]
Huis2 = T2 * Huis1
teken(Huis2, 3)

// Stap 3: x*2 en y*3
T3 = [2 0
      0 3]
Huis3 = T3*Huis2
teken(Huis3, 5)

// Alles in 1 transformatie
Tsam = T3 * T2 * T1
HuisSam = Tsam * Huis
teken(HuisSam, 6)
